libnet-http-perl_6.07-1_all.deb


Advertisement

Description

libnet-http-perl - module providing low-level HTTP connection client

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libnet-http-perl
Package version 6.07
Package release 1
Package architecture all
Package type deb
Installed size 89 B
Download size 24.20 KB
Official Mirror ftp.br.debian.org
The Net::HTTP class is a low-level HTTP client.  An instance of the
Net::HTTP class represents a connection to an HTTP server.  The
HTTP protocol is described in RFC 2616.  The Net::HTTP class
supports HTTP/1.0 and HTTP/1.1. Net::HTTP is a sub-class of IO::Socket::INET.
You can mix its methods with reading and writing from the socket directly.
This is not necessarily a good idea, unless you know what you are doing.

Alternatives

Package Version Architecture Repository
libnet-http-perl_6.07-1_all.deb 6.07 all Debian Main
libnet-http-perl - - -

Requires

Name Value
libio-socket-inet6-perl -
libio-socket-ip-perl -
liburi-perl -
perl -
perl >= 5.19.8

Replaces

Name Value
libwww-perl << 6.00

Download

Type URL
Binary Package libnet-http-perl_6.07-1_all.deb
Source Package libnet-http-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnet-http-perl deb package:
    # sudo apt-get install libnet-http-perl

Files

Path
/usr/share/doc/libnet-http-perl/changelog.Debian.gz
/usr/share/doc/libnet-http-perl/changelog.gz
/usr/share/doc/libnet-http-perl/copyright
/usr/share/man/man3/Net::HTTP.3pm.gz
/usr/share/man/man3/Net::HTTP::NB.3pm.gz
/usr/share/man/man3/Net::HTTPS.3pm.gz
/usr/share/perl5/Net/HTTP.pm
/usr/share/perl5/Net/HTTPS.pm
/usr/share/perl5/Net/HTTP/Methods.pm
/usr/share/perl5/Net/HTTP/NB.pm

Changelog

2014-07-25 - gregor herrmann <gregoa@debian.org>
libnet-http-perl (6.07-1) unstable; urgency=medium
* Team upload.
* debian/control: remove Nicholas Bamber from Uploaders on request of
the MIA team.
* Strip trailing slash from metacpan URLs.
* New upstream release. Fixes
+ "debmirror does not take IPv6 addresses" (closes: #306914)
+ "libwww-perl: no IPv6 support" (closes: #471067)
* Update (build) dependencies to get IO::Socket::IP or IO::Socket::INET6
for IPv6 support.
* Add (build) dependency on liburi-perl.
* Declare compliance with Debian Policy 3.9.5.
2013-05-26 - Florian Schlichting <fsfs@debian.org>
libnet-http-perl (6.06-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Imported Upstream version 6.06 (closes: #704134)
* Email change: Florian Schlichting -> fsfs@debian.org
* Bumped Standards-Version to 3.9.4 (no change)
* Updated copyright years
* Dropped ix_chunked_decoding_674788.diff, applied upstream
2012-06-02 - Salvatore Bonaccorso <carnil@debian.org>
libnet-http-perl (6.03-2) unstable; urgency=low
* Team upload.
[ Modestas Vainius ]
* Add fix_chunked_decoding_674788.diff patch to fix a problem with chunked
decoding. (Closes: #674788)
[ Salvatore Bonaccorso ]
* Update format for debian/copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
* Bump Standards-Version to 3.9.3
2012-02-17 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libnet-http-perl (6.03-1) unstable; urgency=low
* Imported Upstream version 6.03.
* Bumped years of copyright.
2011-11-25 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libnet-http-perl (6.02-1) unstable; urgency=low
[ Florian Schlichting ]
* Imported Upstream version 6.02
* Bump debhelper compatibility to 8 (no changes)
* Add myself to Uploaders and Copyright
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
2011-04-23 - Nicholas Bamber <nicholas@periapt.co.uk>
libnet-http-perl (6.01-1) unstable; urgency=low
* Adding recommends clause for libio-socket-ssl-perl
* New upstream release
* Raised standards version to 3.9.2
2011-03-13 - Nicholas Bamber <nicholas@periapt.co.uk>
libnet-http-perl (6.00-1) unstable; urgency=low
* Initial Release (Closes: #617975).

See Also

Package Description
libnet-https-any-perl_0.11-1_all.deb simple wrapper around the two available SSL modules
libnet-https-nb-perl_0.13-1_all.deb low-level non-blocking HTTPS client
libnet-httpserver-perl_1.1.1-2_all.deb extensible HTTP server framework for Perl
libnet-ident-perl_1.23-1_all.deb Perl module to lookup the username on the remote end of a TCP/IP connection
libnet-idn-encode-perl_2.201-1_i386.deb Internationalizing Domain Names in Applications (IDNA)
libnet-idn-nameprep-perl_1.101+dfsg-1_all.deb stringprep profile for Internationalized Domain Names (RFC 3491)
libnet-ifconfig-wrapper-perl_0.11-1_all.deb multiplatform Perl wrapper for ifconfig
libnet-imap-client-perl_0.9505-1_all.deb Perl module to communicate with IMAP servers
libnet-imap-perl_0.02-7_all.deb A client interface to IMAP (Internet Message Access Protocol)
libnet-imap-simple-perl_1.2205-1_all.deb Perl module to manage an IMAP account
libnet-imap-simple-ssl-perl_1.3-3_all.deb Subclass of Net::IMAP::Simple with SSL support
libnet-inet6glue-perl_0.603-1_all.deb glue module to make perl modules IPv6 ready
libnet-ip-minimal-perl_0.06-1_all.deb module to check if an IP address is version 4 or 6
libnet-ip-perl_1.26-1_all.deb Perl extension for manipulating IPv4/IPv6 addresses
libnet-ipaddress-perl_1.10-3_all.deb Functions used to manipulate IP addresses, masks and FQDN's
Advertisement
Advertisement